#' SDG_keys
#'
#' @description
#' Database of SDG search terms
#'
#' @details
#' The search terms are developed at the “Target” level (SDG Goal/Target/Indicator)
#' to extract SDG-related statements. These SDG search terms can be "direct mention",
#' such as "SDG 1", or "indirect mention", which means a statement aligns with
#' the description of certain SDGs or targets. For example, "Our company has embraced CO2
#' emissions mitigation as a priority within our sustainability strategy") is an indirect
#' mention of "SDG 13.a" ("Implement the commitment... in the context of meaningful
#' mitigation actions and ...").
#'
#' @docType data
#'
#' @usage data(SDG_keys)
#'
#' @examples
#' data(SDG_keys)

"SDG_keys"
